#ifndef WALLOBJECT_HPP_INCLUDED
#define WALLOBJECT_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include "Renderable.hpp"

namespace Internal
{
    class WallObject : public Object
    {
        public:
            WallObject();
            WallObject(const void* Obj);
            WallObject(const WallObject& W);
            static Class GetClass();

            std::int32_t GetAngle() const;
            std::int32_t GetFlags() const;
            std::int64_t GetHash() const;
            std::int32_t GetHeight() const;
            Renderable GetRenderable() const;
            std::int32_t GetX() const;
            std::int32_t GetY() const;
            std::int32_t GetZ() const;

    };
}

#endif // WALLOBJECT_HPP_INCLUDED
